/* The base directory for the emulated systems.
 *
 * Note: must not have '/' at the end. */
#ifndef EMUL_BASEDIR
#define EMUL_BASEDIR               "/emulroot"
#endif

/* The part of the file system that is common for host and target.
 *
 * Note: must not have '/' at the end. */
#ifndef COMMON_PATH
#define COMMON_PATH                "/emultmp"
#endif

/* The part of the NetBSD cross tools. */
#ifndef TOOL_PATH
#define TOOL_PATH                  "/emultools"
#endif

/* The host's pkg prefix. */
#ifndef PKGPREFIX
#define PKGPREFIX                  "/usr/pkg"
#endif

/* The host's prefix to the simulator and its helper programs. */
#ifndef SIMPREFIX
#define SIMPREFIX                  TOOL_PATH
#endif

#ifndef EMUL_HW_MACHINE
#define EMUL_HW_MACHINE            "shark"
#endif

#define FILESYSTEM_PATH            EMUL_BASEDIR "/shark"

#define EMUL_HW_MODEL              "SA-110 step S (SA-1 core)"
#define EMUL_HW_BYTEORDER          1234
#define EMUL_HW_PAGESIZE           4096
#define EMUL_HW_MACHINE_ARCH       "arm"
#define EMUL_HW_ALIGNBYTES         3

#define EMUL_KERN_OSRELEASE        "1.6.2"

/* native_exec.c */
extern const char* emul_hw_machine;
const char *host_to_target_path(const char* path);
char* target_to_host_path(const char* path);
int run_execve(const char *, char * const *, char * const *);
char* get_emul_machine_arch(const char*);
